
QGIS Application - Bug report #3465

Legend in map composer has an infinite height

2011-02-01 11:55 PM - gede2a -

Status: Closed

Priority: Low

Assignee: Marco Hugentobler

Category: Map Legend

Affected QGIS version:master Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 13525

Description

After creating a legend, if you apply changes ie by suppr the rasters, the legend creates a long white bar. When you go in Set item

psition/Height the value is : 1.11709e+292. You can change it to ie 50, it is OK but if you touch to something in the legend (ie a text) the

value goes back to 1.11709e+292

History

#1 - 2011-02-22 02:09 PM - Marco Hugentobler

if you apply changes ie by suppr the rasters

This is not clear to me. Could you add a detailled step-by-step instruction what I need to do to get the long white bar?

#2 - 2011-03-07 02:17 AM - gede2a -

Step by step more simple:

New project; add one vector layer; New print composer ; Add new vector legend

At this step the huge legend is created go to Item tab; item option; height is always 1,11709 e+292.

The white bar is in fact the background of the legend box which is white by default in my case

#3 - 2011-04-19 01:52 PM - Marco Hugentobler

I remember having that too some time ago, but cannot reproduce it anymore. Do you add a special kind of layer ( raster or vector, old or new symbology,

what type of symbology )? Is it enough to just add the legend by click or do I need to do some manipulation with the legend item in composer to have the

bug?

#4 - 2011-05-05 01:23 AM - gede2a -

You are right!

when opening a brand new project, with no layer, legend is ok. Adding a shape,huge legend, changing this shape from new symbology to old, suppr

legend, create new legend, legend is now Ok.

So no special kind of layer, no manipulation, only new symbology does it

#5 - 2011-06-22 07:16 AM - Bernhard Ströbl
I can confirm this for Win XP: new symbology huge legend, old sybology normal legend. This is no issue on Linux (tested on OpenSuse 11.2)

Any chance this is getting fixed?

#6 - 2011-08-12 11:05 AM - Sake Wagenaar

I also have this problem, on two different computers with Windows XP home and Windows XP Professional. Always when the print composer is opened the

first time after reopening the project, the legend has the wrong height. If I look at the project file with a file editor, I see the right legend height. On my

Windows 7 computer the problem doesn't occur. I'm using QGIS 1.7.

#7 - 2011-11-30 12:38 PM - Regis Haubourg

Hi there. The issue is still there under 1.7.2 (windows xp).  I really think it souhld be set to "must fix" under 1.7.3. Really annoying as I don't use old

symbology any more. How can I check bug resolution for future 1.7.3?

#8 - 2011-11-30 12:39 PM - Giovanni Manghi

- Pull Request or Patch supplied set to No

- Target version changed from Version 1.7.0 to Version 1.7.3

#9 - 2011-12-16 10:54 AM - Giovanni Manghi

- Target version changed from Version 1.7.3 to Version 1.7.4

#10 - 2012-01-25 11:35 PM - Victor Axbom

- Affected QGIS version set to master

- Crashes QGIS or corrupts data set to No

It seems that this bug might have been solved. The bug is in 1.7.3 but I can't get it in master

#11 - 2012-04-16 06:25 AM - Paolo Cavallini

- Target version changed from Version 1.7.4 to Version 1.8.0

#12 - 2012-09-04 11:59 AM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#13 - 2014-06-28 07:38 AM - Jürgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#14 - 2014-10-07 12:34 PM - Nyall Dawson

- Resolution set to fixed/implemented

- Status changed from Open to Closed

Safe to close this now that legend has been refactored.
